program foo
   implicit none
   real r
   double precision d
   r=0
   d=0d0
   write (*,*) 'sin(0)    is ', sin(r)
   write (*,*) 'sin(0)    is ', sin(d)
   write (*,*) 'dsin(0d0) is ', dsin(d)
   write (*,*) ''
   write (*,*) 'cos(0)    is ', cos(r)
   write (*,*) 'cos(0)    is ', cos(d)
   write (*,*) 'dcos(0d0) is ', dcos(d)
end ! program foo
